Changes between Initial Version and Version 1 of Ticket #27186, comment 45


Ignore:
Timestamp:
05/15/19 15:45:13 (3 years ago)
Author:
dimpase
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #27186, comment 45

    initial v1  
    2626We only check for `inflateValidate` in system's zlib if we cannot use the system's libpng. In this case we need it, as Sage's libpng requires it. This allows us to get away with using older versions of system's libpng/zlib, which are perfectly fine for our purposes.
    2727
     28PS. I think it's a good example of how vendoring of everything leads to a relentless upgrading spiral (cause a vendored version gets broken on one particular system, or due to conflicts with system libraries that happens for one or another reason...)
    2829
     30